Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface InstructionComparator

    public interface InstructionComparator

Equality of instructions isn't clearly to be defined. You might wish, for example, to compare whether instructions have the same meaning. E.g., whether two INVOKEVIRTUALs describe the same call.
The DEFAULT comparator however, considers two instructions to be equal if they have same opcode and point to the same indexes (if any) in the constant pool or the same local variable index. Branch instructions must have the same target.

Version:
  $Id: InstructionComparator.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `Instruction`

Field Summary
`static InstructionComparator` | `DEFAULT`

Method Summary
`boolean` | `equals(Instruction i1, Instruction i2)`

Field Detail

### DEFAULT

    static final InstructionComparator DEFAULT

Method Detail

### equals

    boolean equals(Instruction i1,
                   Instruction i2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.